Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkRenderLargeImage Class Reference

`#include <vtkRenderLargeImage.h>`

Inheritance diagram for vtkRenderLargeImage:

[legend]
Collaboration diagram for vtkRenderLargeImage:

[legend]
List of all members.

## Detailed Description

Use tiling to generate a large rendering.

Date:
  2002/05/13 21:21:09

Revision:
  1.23

vtkRenderLargeImage provides methods needed to read a region from a file.

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (78%)
  - Cedilnik, Andy (7%)
  - Halle, Michael (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Hybrid/vtkRenderLargeImage.cxx)`
  - .`h` (`/Hybrid/vtkRenderLargeImage.h)`

Examples:
  vtkRenderLargeImage (Examples)

Tests:
  vtkRenderLargeImage (Tests)

Definition at line 50 of file vtkRenderLargeImage.h.

## Public Types
typedef vtkImageSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetInput (vtkRenderer *)
virtual void | SetMagnification (int)
virtual int | GetMagnification ()
virtual vtkRenderer * | GetInput ()
## Static Public Methods
vtkRenderLargeImage * | New ()
int | IsTypeOf (const char *type)
vtkRenderLargeImage * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkRenderLargeImage ()
| ~vtkRenderLargeImage ()
void | ExecuteData (vtkDataObject *data)
void | ExecuteInformation ()
## Protected Attributes
int | Magnification
vtkRenderer * | Input

## Member Typedef Documentation

typedef vtkImageSource vtkRenderLargeImage::Superclass

| Reimplemented from vtkImageSource. Definition at line 54 of file vtkRenderLargeImage.h.

## Constructor & Destructor Documentation

vtkRenderLargeImage::vtkRenderLargeImage | ( |  | ) | `[protected]`

vtkRenderLargeImage::~vtkRenderLargeImage | ( |  | ) | `[protected]`

## Member Function Documentation

vtkRenderLargeImage* vtkRenderLargeImage::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkRenderLargeImage::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageSource.

int vtkRenderLargeImage::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource.

virtual int vtkRenderLargeImage::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource.

vtkRenderLargeImage* vtkRenderLargeImage::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageSource.

void vtkRenderLargeImage::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageSource.

virtual void vtkRenderLargeImage::SetMagnification | ( | int |  | ) | `[virtual]`

| The magnification of the current render window

virtual int vtkRenderLargeImage::GetMagnification | ( |  | ) | `[virtual]`

| The magnification of the current render window

virtual void vtkRenderLargeImage::SetInput | ( | vtkRenderer * |  | ) | `[virtual]`

| Indicates what renderer to get the pixel data from.

virtual vtkRenderer* vtkRenderLargeImage::GetInput | ( |  | ) | `[virtual]`

| Returns which renderer is being used as the source for the pixel data.

void vtkRenderLargeImage::ExecuteData | ( | vtkDataObject * | data | ) | `[protected]`

void vtkRenderLargeImage::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

## Member Data Documentation

int vtkRenderLargeImage::Magnification`[protected]`

| Definition at line 76 of file vtkRenderLargeImage.h.

vtkRenderer* vtkRenderLargeImage::Input`[protected]`

| Definition at line 77 of file vtkRenderLargeImage.h.

The documentation for this class was generated from the following file:

- Hybrid/vtkRenderLargeImage.h